Introduction

Welcome to MediaMonkey! MediaMonkey will help you manage very large music collections, consisting of music files (MP3, WMA, OGG, VQF, WAV files) and/or audio CDs. With MediaMonkey you won't need separate applications for organizing, tagging, creating playlists, renaming files, converting file formats, etc.

MediaMonkey is extremely capable, yet intuitive. MediaMonkey is fast and nimble. Best of all, MediaMonkey is free! The standard (free) version of MediaMonkey includes most of the functionality the average user will need, while the Gold version includes several improvements for the avid collector. MediaMonkey includes:

  • A Library which tracks all of the music on your hard drive or on CDs that you own and:
    • Automatically updates based on changes to your music (Gold)
    • Eliminates duplicate entries for songs that are on HD and CDs (Gold)
    • Automatically fetches audio CD/track information from Freedb and/or other www sites
    • Organizes music by different attributes, and provides powerful search facilities
    • Finds tracks with problems such as duplicate titles, duplicate content, missing tags
    • Allows you to easily update properties, and tag your music using industry-standard formats
    • Helps you to update properties en mass:
      • Automatically rename files based on the music's properties
      • Automatically and intelligently tag files based on filenames
  • Advanced, intuitive playlist management
    • Import and export M3U playlists
    • Drag and drop tracks to rapidly create playlists
    • Organize playlists hierarchically
    • AutoPlaylists which update dynamically based on predefined criteria (standard), with support for advanced criteria selection (Gold)
  • High-quality audio playback
    • Supports Winamp input/output plug-ins to enable add-on functionality
    • Supports Winamp DSP effects such as DFX, for improved audio
    • Includes a 16 band equalizer to customize your audio experience
    • Levels Volume so that you no longer have to adjust the volume knob up and down when music has been recorded at different levels
    • For those who love Winamp, it can integrate with Winamp 2.x, you that you can use MediaMonkey as your organizer and Winamp as your player
  • Encoding functionality that allows you to add digital music to your collection in various formats (MP3, WMA, OGG, WAV):
    • Rips audio CD content to your hard drive, with jitter correction for troublesome CDs
    • Converts from one audio format to another
    • Import/Export songs from external sources with ease, using the Virtual CD (Gold)
    • Generate previews - short 20-40kb samples of songs to help qualify unknown music (Gold)
  • Burn Audio CDs through integration with Nero


How-to

Welcome to MediaMonkey

MediaMonkey is your powerful, easy-to-use, jukebox and organizer. Hopefully you won't be needing this documentation too often, but here are links to explanations of some of the most common tasks you'll want to accomplish with MediaMonkey:

  • Get Started
  • Browse the Library
  • Play Audio Tracks
  • Add Tracks to the Library
  • Rip a CD
  • Use the Virtual CD
  • Create Previews
  • Level Volume
  • Edit Tracks
  • Manage the Library
  • Use Keyboard & Mouse Shortcuts


Basic Concepts

If you're new to digital music management, you may want to take a minute to learn some of the basic concepts used in MediaMonkey. Otherwise, you can proceed directly to Getting Started.

The Library

The MediaMonkey Library is a database of all of your CD albums and audio tracks. Any album or track that appears in the library is a record of an album or track that physically exists, either in a drawer somewhere (one of your albums), on your hard drive (e.g. MP3 files), or on a network.

To organize your music, you first need to add it to the Library. This is distinct from Ripping a song which involves creating a digital copy and adding it to the Library. Once a song is part of the Library, MediaMnokey makes it easy for you to perform operations on the actual file, so that any operation can be performed on both the Library and the File. For example:

    • If you change the 'Artist' or 'Album' for a file, the database will be updated and the file's tag will be updated as well (assuming the option to automatically update tags is set).
    • If you delete a track, you are given the option of deleting the record from the Library, or deleting it from the Library and your hard drive.

Ripping & Digital Audio Compression Formats

MediaMonkey supports several different digital audio file formats natively (and others via plug-ins). Some of these formats (e.g. a standard Audio CD) are uncompressed, meaning that a single Audio CD can take up close to 700 MB on your hard drive. To efficiently store audio tracks to your hard drive, tracks must be 'ripped', i.e. converted from an uncompressed format on your Audio CD, to a compressed format on your hard drive. What follows is a brief description of each of the various formats supported by MediaMonkey to help you choose which ones to use in your collection:

WAV: WAV files are uncompressed and as such, are usually only used for audio tracks that are not longer than a few seconds. The exception to this when tracks are burned to an Audio CD to be used on a regular CD player, since standard CD players can play uncompressed WAV files.

CDA: CDA (CD Audio) files are the uncompressed files that appear on a purchased Audio CD. They can be played or converted to other formats by MediaMonkey.

MP3: MP3 files are the most ubiquitous compressed digital audio format, and can be played by most portable digital audio players and many DVD players. MP3 compression is 'lossy' meaning that audio fidelity is lost when the original track is ripped to MP3. MP3s are often ripped at 128 Kbps, achieving 'near CD Audio' quality, although the discerning audiophile will often choose to encode them at a higher bitrate (160 or 192 Kbps).

WMA: WMA (Windows Media Audio) files use a Microsoft format, that, like MP3, is lossy. It isn't nearly as ubiquitous as MP3, due in part to the fact that it is perceived as a proprietary format and is supported on fewer devices and DVDs than MP3. On the positive side, though, WMA files have noticably better quality than MP3 files encoded at equivalent bitrates.

OGG: OGG is a relatively new format, that like MP3/WMA, is lossy, but is generally considered to be equivalent or better in quality compared to WMA files encoded at similar bitrates. What distinguishes OGG from MP3 and WMA is that the format is specified and distributed freely, meaning that any company can use it at no cost. Because it is relatively new, few devices support OGG, however, this is likely to change in the near future. OGG files are generally encoded at a setting of 160 Kbps, although the effective bitrate is usually less, since the encoding only uses as much bandwidth as is required.

VQF: VQF is another lossy format that offers fidelity improvements over MP3, especially at higher frequencies. Unfortunately, VQF is not that popular a format for digital audio nor is it widely supported on external devices. Other formats such as OGG offer similar fidelity improvements, and are more popular.

Related Information:

Adding Audio Tracks

MP3 Encoding Settings

Tags

Most digitally encoded file formats also allow track information to be embedded within the file. For instance, you may have a file 'Bryan Adams - Summer of '69.mp3' in which the filename tells you the Artist and the Title, however, if you wanted to also store information about Album, Track #, Year, Music Genre, Rating, Lyrics, etc. you'd need to store this information in Tags that are embedded within the file.

MediaMonkey allows you to store all sorts of information about a track within the Library, and to update tags when changes are made to this information. Although the information is stored in the MediaMonkey Library, there are 2 reasons for also updating this information within the track tags:

If the track is shared with an external device such as an MP3 Player or DVD, the tag allows that information to be available via the device (assuming the device supports tags).

If you wish to use another player or music manager, the tags embedded within your songs can usually be read by those applications.

Related Information:

Editing Track Properties

About Track Properties


Getting Started

In case you're itching to use the software without reading the rest of the online help, here are a few tips to get you going:

Adding Your Music to the Library

The first time you run the application, you'll be prompted to select which folders to scan for music, and for what type of music files to scan for. Any music files found in these directories/subdirectories will be added to the Library.

If you press the Advanced button, you'll also be able to configure certain options such as removing underscores, or guessing Track information from the filename. When music is added to the Library, existing Tags are not modified, so if Infer Track Properties is enabled, you needn't worry that your existing tags will be changed in any way.

See: Adding Files and Folders to the Library

Playing Tracks from the Library

Once your files have been added to the Library, navigate your way through your music collection by clicking different nodes in the Library portion of the tree in the MediaMonkey Explorer. The Track list in the main panel will update, depending on which node you select.

To play a Track, simply double-click it in the Track list. That track will begin playing, followed by tracks that were listed subsequent to it (in the default player configuration). To play specific tracks, select several and then click the Play Now button on the toolbar.

To see the list of Tracks that are currently playing, click the Now Playing node in the tree.

See: Playing Audio Tracks

Editing Tags

If you want to try editing the properties associated with a Track, simply select the Track, right-click on it, and choose Edit Properties . Make your changes, and click 'Ok' to update the Track's Tag.

As with other commands, if you select multiple Tracks and click Edit Properties , the command will apply to all of the selected Tracks.

See: Editing Track Properties

Customizing the Application

Once you've played a few Tracks, you'll probably want to spend a bit of time customizing the application to suit your tastes. Try:

  • Right-clicking on any of the column headings to add/remove columns that you'll be using regularly.
  • Drag and dropping the various column headings to change their position.
  • Clicking the Tools > Options menu to customize all options.

See: Appearance Configuration and Skinning

Check out the How-to's

The How-to page explain how to accomplish a variety of common tasks.


Keyboard & Mouse Shortcuts

MediaMonkey can help you work very efficiently with your music Library with the following shortcuts.

Multimedia Keyboard Shortcuts

The following buttons on multimedia keyboards can be used to control MediaMonkey:

Play / Pause / Stop
Previous Track / Next Track
Volume Up / Volume Down
Search
Previous View / Next View / Refresh

Standard Keyboard Shortcuts

The following shortcuts can be accessed via a standard keyboard:

Play / Pause | <Ctrl><p>
Previous Track (back) | <Ctrl><b>
Next Track (forward) | <Ctrl><n>
Back 5 Seconds | <Shift><Ctrl><b>
Forward 5 Seconds | <Shift><Ctrl><n>
Play (selected Tracks) Now | <Enter>
Play (selected Track) Now - Alternate | <Alt><Enter>
Play (selected Tracks) After Others | <Ctrl><Enter>
Play (selected Tracks) Next | <Shift><Ctrl><Enter>
Edit Properties of selected Tracks | <Shift><Enter>
Advance Track in Property Editor | <Ctrl><Right arrow>
Previous Track in Property Editor | <Ctrl><Left arrow>
Delete Selected Tracks (recycle bin) | <Delete>
Permanently Delete Selected Tracks | <Shift><Delete>
Select All Tracks | <Ctrl><a>
Search | <Ctrl><f> or <F3>
Auto-Tag | <Ctrl>-<t>
Auto-Rename | <Ctrl>-<r>
Synchronize Tags | <Ctrl>-<s>
Rip Audio CD | <Shift><Ctrl><r>
Convert Audio Format | <Shift><Ctrl><c>
Burn Audio CD | <Shift><Ctrl><a>
Save Preview | <Shift><Ctrl><p>
Analyze Volume | <Shift><Ctrl><V>
Refresh View | <F5>
Show Now Playing node | <F6>
Show Library node (collapsed) | <F7>
Show Artists node | <F8>
Show Albums node | <F9>
Show Genre node | <F10>
Show Year node | <F11>
View Properties editor (toggle) | <Ctrl><Alt><p>
View Player (toggle) | <Ctrl><Alt><l>
View Now Playing dialog (toggle) | <Ctrl><Alt><n>
View Equalizer (toggle) | <Ctrl><Alt><e>

Numeric Keypad Shortcuts

You can also access the player commands using the numeric keypad. This is useful if you don't have a multimedia keyboard, and don't want to have to press multiple keys to control the player. By default, these shortcuts are active when the numeric keypad is disabled (i.e. when Num Lock is off -- see Player Configuration for details) :

Play (selected Tracks) Now | <Enter> (numeric pad)
Play/Pause | <0> (numeric pad)
Stop | <.> (numeric pad)
Previous Track | <7> (numeric pad)
Next Track | <9> (numeric pad)
Back 5 seconds | <1> (numeric pad)
Forward 5 seconds | <3> (numeric pad)
Volume Up | <8> (numeric pad)
Volume Down | <2> (numeric pad)
Balance Left | <4> (numeric pad)
Balance Right | <6> (numeric pad)
Balance Center | <5> (numeric pad)
Show 'Now Playing' | <+> (numeric pad)

Mouse Gestures

When the application is minimized, you can still control the player by performing 'Mouse gestures' over the system tray icon:

Restore application | Double-click icon
Play / Pause | Click icon
Previous Track | Drag left on icon
Next Track | Drag right on icon
Volume Up | Drag up on icon
Volume Down | Drag down on icon


Upgrading to the Gold Version

MeidaMonkey is free for personal use, however, you can upgrade to Song-DB Gold, for a very small fee. Some of the added features included with Songs-DB Gold are:

  • File Monitor - With the File Monitor, any time you modify, add, move, or delete a music file within specified directories, your Library is automatically updated. This saves you from having to manually add new files, search for moved files, and update the database based on changes to files that were cause by other applications.
  • Virtual CD - allows you to catalog tracks that appear in both your physical CD collection and your MP3 collection, saving the hassle of duplicate database entries.
  • Advanced AutoPlaylists - Although basic AutoPlaylists are supported in the standard version, creation and customization of advanced AutoPlaylists is only available if you upgrade to the Gold version. With advanced AutoPlaylists, you can define a playlist based on any criteria, allowing you to create automatically create mixes that suit your needs. For example, if you wanted music for a party, you could have an AutoPlaylist that includes 100 Songs in which Bitrate>=128 Kbps, Tempo= fast/veryfast, Year=1990-2000, Rating>=4 stars, Genre=Rock.

Please visit our upgrade site for more information.


Exploring Your Audio Tracks

Most everything in MediaMonkey is accomplished via the MediaMonkey Explorer. The Explorer consists of a Tree in the left-hand column, and a Track list in the right that is updated whenever a new node is selected in the Tree.

Customizing and Sorting Columns

By default, columns are sorted differently depending on the node selected. e.g. if Artists is selected, Tracks are sorted by Artist. This can easily be changed by clicking the sort indicator at the top of any column. You can also sort by a second column if you wish, by pressing <Ctrl > and clicking a second column header.

The choice of which columns are displayed can be changed, as can their order. To change which columns are displayed, right-click on any column heading and choose which column you want to have displayed. To change the order, simply drag the column heading to the right or left.

Navigating the Tree

To navigate the tree, and the Tracks contained within, several approaches can be taken:

  • Click a particular node in the tree.
  • Click the nodes of Artist, Album, Year, or Genre that appear in the Toolbar. This is convenient when the node in question isn't visible.
  • Click the Home node in the Toolbar, to collapse the tree.
  • Click the Back to Previous or Forward to Previous buttons in the toolbar to switch to a previous view that is of interest.
  • Press the <Up> or <Down> arrows on the keyboard to navigate up and down the tree. Press the <Right> and <Left> arrows to expand and collapse folders.
  • Type any text to find the next instance of that text within the tree.

Using the Explorer

To perform an action on all of the Tracks associated with a node, simply select the node in the tree and click the relevant command. For example, to convert all of the Tracks that are listed for /Library/Artist/Jethro Tull, simply click 'Jethro Tull' and press the Convert button, and all of the songs in this View will appear in the Convert dialog. Alternatively, you may also use <Ctrl><A> to select all of the tracks on the right side, and then perform an operation.

To perform an action on a single Track, simply select the Track in the right hand column and click the relevant command. Similarly, if you want to perform an operation on multiple Tracks, select each Track while holding down <Ctrl> button, and then click the relevant command.

Note also, that tracks can be dragged & dropped or cut & pasted in the MediaMonkey Explorer from one node to another.

For a description of the views associate with each node see:

  • Now Playing View
  • Library View
  • Files to Edit View
  • Virtual CD View
  • Previews Views
  • Playlists View
  • Search View
  • My Computer View
  • Web View


Now Playing

This node displays the 'Now Playing queue' -- all Tracks that are in line to be played, with the currently playing Track appearing in bold. See Playing Audio Tracks for more details about using it.

The Now Playing queue can also be displayed as a standalone dialog by clicking View > Now Playing , providing a much more useful means of creating a queue or playlist since it:

  • Can be seen at the same time as another node is open
  • Allows tracks to be dropped to a specific location in the queue
  • Provides a simple means to create a Playlist
  • Enables the Playlist to be randomized

Best of all, the Now Playing node can appear even when the rest of MediaMonkey is closed, and you're working in another application. This is enabled by:

  • Clicking the Minimize button in the player
  • Setting Minimize to Now Playing as described in General Configuration

Whenever MediaMonkey has been minimized to the Now Playing window, the Minimize button will minimize it to the system tray, the maximize button will switch back to the main window, and the close button will simply close it (without closing MediaMonkey).


Library

The Library contains all of the nodes that display your entire collection in several different ways. All of these nodes are useful for browsing your collection based on attributes such as Location, Title, Artist, Album, Genre, etc, or for making changes to a Track by dragging and dropping it between nodes (e.g. dragging a Track from Genre=Pop to Genre= Rock would change the Genre from 'Pop' to 'Rock').

Location

This contains all of the Nodes that display Tracks in the Library based on their physical location--any folder or physical media containing a song will show up here. In addition, each subnode contains an All node that displays all tracks that are present in all of the subfolders of the selected directory. These Nodes are particularly useful if you're trying to find out where all of your Tracks are located. The subnodes are:

Hard Disk

Displays any folders on the hard disk containing tracks that are in the library. This is useful if you want to move/consolidate Tracks within a folder to a different location

CD

Displays any physical CDs which you have added to the library (note that this is different from the Album node, which shows Tracks grouped by the Album that they appear on--regardless of whether the physical CD has been added to the Library). If you select a CD, but the CD is not inserted, then the tracks are greyed out, unless they've been saved to the Virtual CD. See Adding CDs to the Library .

Network

Functions similarly to the Hard Disk view -- it displays any folders on the network containing tracks that are in the library.

Title

Displays all Tracks sorted by Title. Subviews allow you to view tracks grouped by title letter.

Artist

Displays all Tracks sorted by Artist (Track Artist and Album Artist). Subnodes allow you to view tracks grouped by Artist, or by Artist & Album. This is one of the most common views for browsing your music library. It is also fairly useful for correcting errors re. Artists - simply drag and drop a track from the old artist to the new artist to make a correction.

Note: To filter the list of Artists shown, right click on the Artist node.

Album

Displays all tracks sorted by Album. Each subnode consists of an Album (and associated Album Artist in parentheses) whose Tracks are displayed in the order in which they appear on the album. This is in contrast to the CDs that appear in the Locations node, which shows physical CDs that are being tracked. See Editing Album Properties .

Note: To filter the list of Albums shown, right-click on the Album node.

Genre

Displays all Tracks sorted by Genre. Each subnode consists of individual Genres that displays all Tracks of that Genre. Note that the subview shows only Genres that have actually been used, rather than the entire list of available Genres. This view is somewhat useful if you wish to choose music by Genre, and is also useful for making changes to the Genre field for any Track - simply drag and drop a Track from the old Genre to the new Genre.

Year

Displays all Tracks sorted by Year. Subnodes consist of Decades and Years. This is often useful for selecting a mix of Tracks from a certain era.

Classification

Displays Tracks grouped by various subjective criteria: Tempo, Mood, Occasion, Quality. These are useful for reclassifying Tracks via drag and drop.


Files to Edit

This contains various nodes that help you locate Tracks that have problems, inconsistencies that need to be corrected, or missing information. It is particularly useful when you are correcting the properties of your various Tracks.

Unknown Title

Displays all Tracks that don't have a Title defined.

Unknown Artist

Displays all Tracks that don't have an Artist defined.

Unknown Album

Displays all Tracks that don't have an Album defined.

Unknown Genre

Displays all Tracks that don't have a Genre defined.

Unknown Year

Displays all Tracks that don't have a Year defined.

Unknown Rating

Displays all Tracks that don't have a Rating defined.

Unclassified Tracks

Displays all Tracks that don't have classifications such as Tempo, Mood, or occasion defined.

Multiple Artist Albums

Displays all Albums and associated Tracks that have a common Album name, but different Track Artists. This usually occurs when some sort of typo has occurred, or if an Album is a compilation by multiple artists, but hasn't been designated as such. See Editing Album Artists.

Dead Links

This displays all Tracks that are part of your Library but cannot be found because they've been deleted from their physical location on the hard drive. If the file was intentionally deleted, you can delete the track from the library. If the file wasn't intentionally deleted, you should try to retrieve the file. See Library Maintenance . Note: This is done automatically with the Gold version.

Unsynchronized Tags

This displays all Tracks for which Tags do not match the Track Information contained within the Library. This may occur if you've enabled inference of Track Properties when adding files to the library, if v1 and v2 tags do not match, or if tags for a specific Track haven't be updated properly due to improperly formed or non-standard tag formats. See Synchronizing Your Tags .

Duplicate Titles

This displays all Tracks that have duplicate titles. This is useful when you're removing duplicates from your collection.

Duplicate Content

This displays all Tracks that are identical to one another in terms of the audio content (tags and other metadata are ignored). This feature only works for Tracks that have been 'Analyzed for Duplicate Content' when they were added to the Library. This feature must be enabled in the Library Configuration menu.


Virtual CD

The Virtual CD node displays all Tracks that have been saved to the Virtual CD. The Virtual CD can be thought of as a location that contains copies of Tracks that exist elsewhere in your collection, but doesn't result in duplicate entries for the track. This node is used mainly when you are ripping tracks to your hard drive from CDs.

Tracks that have been saved to the Virtual CD are also listed in bold within the /Library/Location/CD albums view. For example, in the screenshot below, the U2 - Rattle and Hum CD has been added to the collection, however, only 'Desire', 'I Still Haven't Found What I'm Looking For', and 'Love Rescue Me' have been saved to the Virtual CD, which means that only these tracks can be played when the CD isn't inserted.

See: Ripping Tracks and Cataloguing CDs

Virtual CD Queue

The Virtual CD Queue displays all Tracks that have been set aside to eventually be saved to the Virtual CD.

See: Ripping/Saving Tracks from Large Numbers of CDs


Previews

The Previews node displays all Previews--short samples of your audio tracks--that have been created. These are useful if you want to quickly listen to a large number of songs in a short period of time. See Creating Previews .


Playlists

The Playlists view contains all Playlists and AutoPlaylists that are part of your collection. Playlists in this node can be organized hierarchically to suit your tastes. Note that Playlists and AutoPlaylists are stored within MediaMonkey--if you wish to use these playlists in an external device or another application, you must export them. See Exporting Playlists .

Playlists

Playlists are simply collections of Tracks arranged to play in a predefined order. When you add Tracks to the Library, a playlist is created by default, showing all of the songs that have been imported at that time. If you've added .m3u playlists into your collection, these will automatically appear in the 'Imported Playlists' folder. See Using Playlists .

AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. By default, 2 AutoPlaylists are included: Last 50 played tracks, and Top 50 tracks. See Using AutoPlaylists .


Search

This view shows the results of a search, and allows you to initiate a new search by clicking the node.

Basic Search

  1. Click the Search button or node to bring up a basic search dialog that will let you find Tracks based on a few criteria.
  2. Enter the word or phrase you'd like to find and press 'Ok' to see the search results.

Related Information:

Using AutoPlaylists

Advanced Search

Advanced search allows you to search the entire library by any set of criteria. To do this:

  1. Press the Search button or node, and select the Advanced tab.
  2. Click the 'New Criteria' icon, and select the criteria you would like to search for. You can do this for as many criteria as you like. Keep in mind that:
    • For any individual criterion, if you select multiple attributes (e.g. Tempo is Fast, Very Fast), the search will find any Track where Tempo is Fast or Very Fast.
    • If you select multiple criteria (e.g. one criteria is Artist=Police and another Genre=Rock), then the criteria are additive, and search will only find Tracks that match all of the criteria.
  3. Click the 'Add New Sort Order' icon, to sort the search results by any field. Sort by 'Random' if you want tracks to be sorted in a random order (note: if you limit the number of search results, then sorting by 'Random' will return a different set of tracks each time).
  4. Limit the search results, by time, size, or number of Tracks if you wish.
  5. Press 'Ok' to see the search results.

Related Information:

Using AutoPlaylists

Find More from Same

In cases where you are browsing a particular Track and want to quickly see related Tracks, such as those by the same Artist, in the same Genre, Album, Year, or Folder, you can quickly find the related Tracks using Find More from Same .

  1. Select a Track
  2. Right-click and select Find More from Same. Select Artist, Genre, Album, Year, or Folder depending on which related Tracks you would like to find.

You will immediately be brought to the relevant node in the Tree.


My Computer

This view allows you to access to your Hard Drive, CD Rom, or Network much as you would with the Windows Explorer--it shows all audio files, not just those that are part of the Library. This is useful when you want to perform operations on Tracks that are not (yet) part of your Library. For example:

  • Browse a CD that hasn't been added to your library to listen to it, edit its contents (edits are saved to cdplayer.ini), and/or 'Add' it to the Library or save it to the 'Virtual CD'.
  • Browse to a folder on your hard drive that hasn't yet been added to the library and then Add it.
  • Create a new folder called C:/Music and then move folders from /Library/Location/C:/Temp into this new directory (this cannot be done in the /Library/Location view since it only shows directories that already contain audio tracks).


Web

The web view provides a number of useful bookmarks that are helpful for finding details about your music Tracks, or for purchasing music. Allmusic is an especially useful database for this purpose.


Playing Audio Tracks

Playing audio Tracks with MediaMonkey is straightforward whether you are using MediaMonkey or Winamp as the player. Tracks are added to the Now Playing queue and are then played. Basic Playback can be done in a single step, though finer control can be achieved by using all of the Now Playing queue's features.

Basic Playback

  1. Select the tracks you would like to play
  2. Click the Play Now button in the Play menu.

The tracks you've selected will fill the Now Playing queue, replacing others that may have previously been there, and begin playing from the first track. If you've selected only a single track, additional tracks may be added to the Now Playing queue, depending on how you've configured the player.

Tracks that are playing can be viewed by selecting the Now Playing node, with the currently playing Track appearing in bold.

Using the Now Playing Queue

For finer-grained control over which Tracks are played, you can modify the Now Playing queue. Think of the Now Playing queue as a list of Tracks that you can modify, even as they are being played one by one by the Player. You can:

  • Add Tracks to the end of the 'Now Playing' queue: Select the Track(s) you want to add and click Play Last from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into the middle of the 'Now Playing' queue, immediately following the currently playing Track: Select the Track(s) you want to add and click Play Next from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into any position of the 'Now Playing' queue: Select the Track(s) you want to add, and drag them to the Now Playing node, to the desired position in the list.
  • Replace the current 'Now Playing' queue a new set of Tracks: Select the Track(s) you want to play and click Play Now from the Play menu. Note: In addition to replacing the queue, this command initiates playback.
  • Rearrange the order of Tracks in the 'Now Playing' queue: Go to the Now Playing node, and drag and drop tracks within the queue to re-arrange them.
  • Remove tracks from the 'Now Playing' queue: Go to the Now Playing node, select which tracks you'd like to delete from the queue and press <Delete> . This will not delete the tracks from the database--it will only remove them from the queue.

Player Commands

Once a Now Playing queue exists, the following commands are active within the Player (whether you are using MediaMonkey or Winamp): Play, Pause, Stop, Next Track, Previous Track .

Related Information:

Keyboard and Mouse Shortcuts to Control the Player

Volume Leveling

Using Playlists, Using AutoPlaylists

Player Configuration (MediaMonkey vs. Winamp)


The Player

The MediaMonkey player provides several functions that may not be immediately obvious:

Open Files

Pressing the Open Files button on the player, and opening an audio Track will result in that audio Track being played immediately, replacing any other tracks in the Now Playing queue. The Track will not be added to the Library.

Shuffle Mode

Enabling Shuffle causes all of the Tracks in the 'Now Playing' queue to be played in random order. This can be enabled via the Player, or via the menu.

Continous Mode

Enabling Continuous mode, cause tracks in the 'Now Playing' queue to play without end. This can be enabled via the Player, or via the menu.

Equalizer

Allows you to customize audio to suit your equipment and environment using a 10-band equalizer. Be sure to save your settings so that you can reload them in the future. This can be configured via the Player or via the menu.

Level Volume

See Volume Leveling.

Changing the Player's Location

The Player dialog can be docked at several locations on the screen. Simply drag and drop the Player's title bar to the upper left or upper right corners of MediaMonkey to change its location.

Related Information:

Player Configuration

Keyboard and Mouse Shortcuts


Volume Leveling

Volume Leveling allows Tracks to be played back at a consistent volume level, so that you don't have to manually adjust the volume to compensate for some Tracks being recorded at higher/lower volumes than others.

To enable volume leveling:

  1. Select all of your Tracks and click Tools > Analyze Volume. This will take some time as each track will be individually analyzed, and a volume adjustment coefficient will be calculated for each Track. To minimize this time, ensure that Volume Leveling analysis only occurs when no coefficient exists. See Library Configuration for details.
  2. From the Play menu, click Level Volume . This will ensure that the Player will adjust the volume level using the calculated coefficient. Note that Volume leveling is only supported for the MediaMonkey player--it is not supported in Winamp.

Note: MediaMonkey follows the Replay Gain standard approach to volume leveling, a comprehensive approach that does not impact audio fidelity. The implementation automatically prevents the clicks that sometimes occur from audio normalization. For more information, see the Replay Gain Standard (by David Robinson).

Related Information:

Playing Audio Tracks


Using Playlists

Playlists are lists of Tracks from the Library, arranged in a set order. Playlists can be used to create a mix of music that you wish to listen to in the future, or to export or burn to a CD.

To create a Playlist:

  1. From the Edit menu, click Create Playlist.
  2. Name the Playlist when prompted. The new playlist will be created in the Playlists node.
  3. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  4. Add Tracks to the playlist by dragging and dropping them from anywhere in the Library. Note that this doesn't move the Track or change any of its properties--it just adds it to the Playlist.
  5. Rearrange the order of Tracks within the Playlist by dragging and dropping the tracks within the Playlist.
  6. Remove any of the Tracks you aren't comfortable with by selecting the Track(s) and pressing <Delete>. This will not delete any Tracks from the Library, it simply removes them from the Playlist.

You're done! You can now Play the playlist, by selecting it and clicking Play Now. If you wish to edit it, simply select the Playlist and make whatever changes you wish in the manner described above.

Note: Playlists can also be created or modified using the Send to Playlist function which is accessible by right-clicking on any Track. In addition, Playlists can be created or modified via the List commands in the Now Playing dialog.

Related Information:

Using AutoPlaylists

Exporting Playlists

Exporting Tracks to Devices


Using AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. They are great for creating a mix of music to match a certain type of mood.

To create an AutoPlaylist:

  1. From the Edit menu, click Create AutoPlaylist.
  2. Name the AutoPlaylist when prompted. The new playlist will be created in the Playlists node.
  3. You will then be prompted to select the criteria to be used for the AutoPlaylist. Use the Search pane for a simple AutoPlaylist, or the Advanced Search pane for a more complex AutoPlaylist with multiple criteria. Once you've selected your criteria, press 'Ok', and the AutoPlaylist will be generated.
  4. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  5. If you need to edit the AutoPlaylist, select it, and click Edit Properties, and you will be prompted to edit the criteria used to generate the list.

You're done! You can now Play the playlist, by selecting it and clicking Play Now.

Related Information:

Using Playlists

Exporting Playlists

Exporting Tracks


Sleep

If you want your computer to shut down after playing music for awhile (e.g. if you're going to bed, or if you're environmentally-conscious), you can use the Sleep function:

  1. Press the Sleep button
  2. You will be prompted to configure:
    • Time until shutdown
    • Whether the volume gradually fade prior to shutdown

Note: When using Sleep, it's a good idea to close all other applications, since some applications may ask for a confirmation that would prevent the computer from shutting down.


Adding Audio Tracks & CDs

MediaMonkey can be used to manage both Audio CDs and Audio tracks, and depending on your intentions these can each be added to the library in slightly different ways.

  • If you want to add Files and Folders that already exist on the network or your hard drive, see Adding Files & Folders.
  • If you want to add a CD to your Library for the purposes of cataloging your CD collection, without ripping the contents of the CD to your hard drive, see Adding CD Albums.
  • If you want to add a CD to your Library, and rip the contents of the CD to your hard drive, you may go about this in 3 ways:
    1. If you don't care about tracking which CDs you physically own, you can simply Rip the CD. See Ripping Tracks from CDs.
    2. If you are interested in tracking which CDs you physically own, you'll want to save the Tracks to the Virtual CD. See Ripping Tracks and Cataloguing Physical CDs.
    3. If you are going through a large number of CDs and want to most efficiently Rip selected contents from the CDs, you'll want to use the Virtual CD Queue. See Ripping Tracks from Large Numbers of CDs.


Adding Files and Folders to the Library

In order to most effectively manage audio tracks with MediaMonkey, they must first be added to the Library. The first time you run MediaMonkey, you'll be prompted to do this automatically. Subsequently, you can initiate this process manually:

  • To rescan your entire drive, simply click File > Add Folders to Library on the main menu, or press <Insert>
  • To add or rescan a selected folder, Drive, or Network Location, select a folder in the My Computer or Location nodes, then right-click and select Add Files to Library or press <Insert>

A dialog will appear, allowing you to choose what types of audio files to scan for, and to modify which folders to scan. In addition it allows you to set several Advanced configuration options . Once you press 'Ok', MediaMonkey will scan the selected locations for the types of files that you chose, and:

  • Add any music files that are found to the Library.
  • Catalog the contents of any CDs that are found to the Library. CDs that have been added to the Library will appear in the Locations node of the Library. If any CD album is selected, the tracks on the album will appear greyed out if they're inaccessible, and in black if the CD is inserted.
  • Add any .m3u playlists that are found to the Library, along with any of the Tracks contained within the playlists (if they can be found).

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


Adding CDs to the Library

MediaMonkey can be used to catalog CDs (Audio CDs or data CDs containing compressed audio tracks), even if you don't rip the CD contents to your hard drive. To do so, place your CD in your CD Rom drive. If no information about the CD is available, MediaMonkey will attempt to identify it by connecting to Freedb over the internet.

Right-click the CD in the My Computer node and make any changes to any of the track properties (these will be saved to a file called cdplayer.ini so that the CD will be recognized if it is subsequently inserted). Once you're comfortable with the CD's properties, select Add Files to Library or press <Insert> . The CD will be catalogued in the library. CDs that have been added in this manner will appear in the Locations node of the Library, while the tracks contained within will be browsable via other nodes such as Album or Artist . Note that the Tracks from the album will appear greyed out if they're inaccessible (i.e. if the CD is not inserted), and black if the CD is inserted.


Deleting Tracks & CDs

Deleting Tracks

Any Track may be deleted from the Library simply by selecting the track and pressing <Delete> . A dialog will appear allowing you to choose whether to delete the entry from the Library only, or delete the entry and the actual file.

Note that deleted Tracks are sent to the Recycle Bin (pressing <Shift><Delete> results in permanent deletion).

Deleting CDs, Artists, Albums, etc.

Any CD, Artist, or Album can be similarly deleted by selecting the node in the Tree and pressing <Delete> . Dialogs will appear asking whether you also want to delete any tracks that are contained within that CD, Artist, or Album.

Deleting Tracks from the Now Playing list

When the Now Playing node is active, selecting a Track and pressing <Delete> removes the Track from the Now Playing list or Playlist--the Track is not deleted.

Deleting from Virtual CD

Deleting Tracks from a Virtual CD can be a bit tricky, since in some cases, you'll want to delete the track entirely (normal delete operation), while in others, you may simply want to remove it from the Virtual CD. In the latter case, you can:

  • Go to the Virtual CD node in the tree, select the Track(s) to be removed and press <Delete>.
  • Click Edit > Properties for any Track, go to the Virtual CD tab, and press the Remove button.


Ripping Tracks from CDs

If you want to just rip Tracks from CDs, and are not concerned with cataloguing your physical CDs, you can simply rip a CD by selecting the CD or several Tracks on the CD (from the Locations or My Computer nodes), and clicking Tools > Rip Audio CD .

The Rip CD dialog will appear, from which you may configure:

  1. The compression format to be used for ripping the tracks. See Ripping & Digital File Formats .
  2. Whether the volume of the tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the ripped track.
  3. The Directory and Filename format to be used for the new tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder.

Press 'Ok' to proceed with Ripping the selected Tracks.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


Ripping Tracks from CDs without Duplicating Album Information

Ripping Tracks and Cataloguing CDs

If you want to rip Tracks from CDs and also catalog your Audio CD collection, simply ripping your Audio CDs will result in duplicate entries for any Tracks that you rip. The Track will appear once for the CD version of the Track and a second time for the ripped version. To avoid this, use the Virtual CD:

  1. If you haven't already, Configure the Virtual CD.
  2. Select any Track(s) and click 'Save to Virtual CD', or drag and drop the Track(s) to the Virtual CD.

MediaMonkey will then:

  • Add the physical CD to the Library.
  • Rip the selected CD Audio Tracks to the Virtual CD, so that duplicate entries aren't created for the physical CD and the ripped Track. For audio Tracks on the CD that are already compressed, the files will simply be saved to the Virtual CD as is.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Once you remove the CD, you'll notice that in the Library, the Locations View has an entry for the CD, and all of the Tracks on the CD are part of the Library. The Tracks that are accessible (i.e. those that were ripped to the Virtual CD) appear in black, while the songs that are inaccessible (because they weren't ripped and the CD isn't inserted) appear greyed out.


Ripping Tracks from Large Numbers of CDs

Ripping/Saving Tracks from Large Numbers of CDs

If you want to selectively get Tracks from many CDs, chances are that you'll probably want to listen to a Track, decide whether or not you want to add it to your collection, and then add it to a list of Tracks to get later on (you wouldn't want to rip it right away because that would prevent you from listening to the other Tracks and CDs that you want to evaluate). MediaMonkey allows you to do this easily, using the Virtual CD Queue, as follows:

  1. If you haven't already, Configure the Virtual CD .
  2. Insert your CD.
  3. Listen to Tracks, and select the ones that you want to rip (or copy).
  4. Click Copy to Virtual CD Queue .
  5. Repeat steps 2 to 4 until you've gone through all of your CDs.
  6. Click the Virtual CD Queue node, and and click Save to Virtual CD . MediaMonkey will rip the selected CD Audio Tracks or copy the Tracks as is (if they are already compressed) to the Virtual CD. If a track cannot be found because the CD is no longer inserted, you will be prompted to insert the CD.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Once all of the tracks from all of the CDs have been saved to the Virtual CD, you'll notice that in the Library, the Locations node has an entry for each CD, and all of the Tracks on the CD are part of the Library. The Tracks that are accessible (i.e. those that were saved to the Virtual CD) appear in black, while the Tracks that are inaccessible (because the CD isn't inserted and the Tracks weren't saved) appear greyed out.


Creating Previews

Previews--short samples of your audio tracks--can easily be created with MediaMonkey. They are useful if you:

  • Want to quickly sample the content of a CD
  • Want to show a large number of tracks in your collection to someone else
  • Want to play 'Name That Tune'

To create a preview:

  1. If you haven't already, set the Preview Configuration options.
  2. Select the tracks for which you want to create Previews (if you have a very large collection, this is most easily done by Creating a Playlist).
  3. Press Tools > Save Preview .

The previews will be visible in the Previews View.


MP3 Encoding Settings

To cofigure MP3 encoding options, click the Settings button in the Virtual CD Configuration dialog, the Convert Audio Format dialog, or the Rip Audio CD dialog.

MediaMonkey has a broad range of MP3 encoding options, allowing you to choose presets--pre-tuned settings that have been highly optimized, or to set encoding options manually. Needless to say, the use of presets is recommended. What follows is a description of each of the presets, to help you choose the setting that's right for you (if you want to learn the intricacies of manual MP3 encoding options, you can find information via several of the links below.

Preset | Quality | Bandwidth | Recommendation
Compatible, CBR 96 kbps | Fair | Low, inefficient | Useful if MP3s are to be played on a low storage capacity portable/device that is incompatible with VBR formats.
Compatible, CBR 128 kbps | Average | Low, inefficient | This preset is fairly popular despite the average quality level, mainly because quality is adequate and it can be played on low memory portable/devices that are incompatible with VBR formats.
Compatible, CBR 160 kbps | Good | Medium, inefficient | Useful for encoding MP3s at a decent quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Medium (fast), VBR ~160 kbps | High | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original. It encodes slightly faster than the Medium preset, but at a slightly reduced quality level.
Medium, VBR ~160 kbps | High+ | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original.
Compatible, CBR 192 kbps | High+ | High, inefficient | Useful for encoding MP3s at a high quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Standard (fast), VBR ~192 kbps | Very High | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original. It encodes slightly faster than the Standard preset, but at a slightly reduced quality level.
Standard, VBR ~192 kbps | Very High+ | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original.
Extreme (fast), VBR ~256 kbps | Near CD | Very high, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original. Note that it encodes slightly faster than the Extreme preset, but at a slightly reduced quality level.
Extreme, VBR ~256 kbps | Near CD+ | Very High, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Insane, CBR 320 kbps | Highest | Insanely high, inefficient | Recommended for encoding MP3s at the highest level possible. It's for very discriminating music listeners (with hard disk space to burn). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Phone, ABR ~16 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Short Wave, ABR ~24 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
AM, ABR ~40 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Voice, ABR ~56 kbps mono | Fair | Very low, fairly efficient, predictable | Useful for fair quality voice recordings, when bandwidth used needs to be constrained to a predetermined average.
Tape, ABR ~112 kbps | Average | Low, fairly efficient, predictable | Useful for average quality music recordings, when bandwidth used needs to be constrained to a predetermined average.
Hifi, ABR ~160 kbps | High | Medium, fairly efficient, predictable | Useful for high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Medium or Medium (fast) presets are preferable.
Hifi+, ABR ~192 kbps | Very High | High, fairly efficient, predictable | Useful for very high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Standard or Standard (fast) presets are preferable.
Studio, ABR ~256 kbps | Near CD | Very high, fairly efficient, predictable | Useful for encoding MP3s for very discriminating music listeners, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Extreme or Extreme (fast) presets are preferable.

Related Information:

Ripping and Digital Audio Compression Formats

Adding Audio Tracks and CDs

Hydrogen Audio (see the MP3 faqs)


Editing Tracks

Tracks can be easily modified in a number of ways. See the links below for details:

  • Manually editing properties of single or multiple tracks (Editing Track Properties)
  • Automatically editing properties of single or multiple Tracks (Auto-Tag from Filename)
  • Synchronizing Track tags that are not in synch with the Library (Synchronizing Tags)
  • Changing Filenames
  • Converting Compression Formats

Related Links:

Getting Track Information from the Internet

About Track Properties


Editing Track Properties

Track properties can be easily edited in several ways. Note that whenever properties are changed, by default, associated tags are updated (see Tag Configuration for details). If the tag is malformed, it may not automatically update (see Synchronizing Your Tags for details).

Quick Edits via the Explorer

The MediaMonkey Explorer allows you to quickly make simple changes to Track properties:

  • You can update individual Tracks' properties, by clicking it in the Track list, and making the desired change. This is very useful when you are browsing through your library, and notice an error that you want to rapidly correct. The downside is that only the most common properties can be viewed in the Explorer.
  • You can also edit Album or Artist properties of multiple Tracks by clicking any Artist or Album in the Tree and renaming it. The new name will propagate to all tracks associated with the Artist or Album (except in the case of Multiple Artist Albums). For example, renaming Artist : 'Michel Jakson' to 'Michael Jackson' in the tree, will cause all Tracks by 'Michel Jakson' to be changed to 'Michael Jackson'.
  • You can drag and drop, cut and paste, or copy & paste tracks from one node to another to change the Tracks' properties. For example:
    • Dragging a Track from Artist: 'Michel Jakson' to Artist : 'Michael Jackson' will change the Artist for the track to 'Michael Jackson' .
    • Cut ( <Ctrl><x> ) a track from Genre: Pop and Paste ( <Ctrl><v> ) to Genre : Rock will change the Genre for the Track.

Edit via the Properties Dialog

If you want to have access to all of a track's properties, you'll need to perform edits via the Properties Dialog--simply click Edit > Properties . Change the desired fields, and press 'Ok'.

Note: If you want this dialog to remain open so that you can edit other tracks in your Library, click View > Properties . To commit any changes you've made to the current Track and edit the previous/next song, click one of the arrows.

Edit Properties en Mass

To change the properties of several tracks at once, select the Tracks you want to edit, click Edit > Properties , and then select which fields you want to edit. Make the desired changes and click 'Ok' -- the changes will be made for all of the selected Tracks.

Related Information:

About Track Properties


About Album Properties

Editing Album Properties

Within the properties for any Track, there are several fields that are specific to Album attributes. Specifically, Album and Album Artist. These fields are edited in the same way as any other, but affect how Albums are displayed in the MediaMonkey Explorer in a manner that might not be obvious at first.

Single Artist Albums

For a set of Tracks that are part of an Album by a single Artist, the Track Artist and the Album Artist will be identical for every Track on the Album. Thus any operation that changes the Track Artist (e.g. Drag and Drap from Artist 1 to Artist 2) will automatically change the Album Artist.

Multiple Artist Albums

Multiple Artist Albums are slightly more complex as they have a common Album Artist (often called 'Various' or 'Various Artists'), but multiple Track Artists. For instance, "The Big Chill" has an Album Artist of 'Various Artists' but the Track Artist for "I Heard it through the Grapevine" is 'Marvin Gaye'. This will be represented in the Tree:

In the Albums node as:

The Big Chill (Various)

In the Artists node as:

Marvin Gaye - Track: I heard it through the Grapevine

Various - Album: The Big Chill

Thus you can easily find the Tracks by any individual Artist, as well as the Albums by the Album Artist. If you Drag and Drop a Track from an Album in which the Track and Album Artists do not match, from one Artist to Another, only the Track Artist will change. Similarly, if you drag the Album from one Artist to another, only the Album Artist will change.

Combining Tracks into a Multiple Artist Album

If you have several Tracks that are all part of the same Album, but the Track Artists are all different, and for each Track, the Track Artist = Album Artist, then your Tracks will not be represented properly in the Tree, since the Album Artist is incorrect for every Track.

You can correct this type of situation through the following steps:

  1. In the Explorer Tree, click /Library/Files to Edit/Multiple Artist Albums. You will be shown a list of all Albums which contain multiple Tracks by different Artists, yet for which the Track Artist = Album Artist.
  2. For any Album in this list, select the Tracks that are part of a single Album, and right-click to get tot he context menu, and then click Change Album Artist.
  3. A dialog will appear allowing you to edit the Album Title and the Album Artist. Make the appropriate changes, and press 'Ok'.

The properties and tags will update, and the Tracks and Albums will now display properly.


Auto-Tag from Filename

To automatically modify Track properties based on filename information, use Auto-Tag from Filename. This is very useful when you have Tracks with no Tags/Properties, and you wish to fill these based on information contained within the filename. To do so:

  1. Select the Tracks whose properties you wish to update. Make sure that the Tracks selected all have filenames that follow the same format.
  2. Click Auto-Tag from Filename from the Tools menu.
  3. Choose the format used for the filenames, by clicking the <Artist>, <Album>, etc. buttons, and placing any separators that your original files use (e.g. '-' or '_' or '|') between the different attributes so that properties are filled in accurately.
  4. At this point, you can configure Update Empty Fields Only if you only want properties to be filled in from the filename only when they are unknown. You can also configure Remove Underscores if you want all underscores to be removed from the resultant properties.
  5. A list will be generated showing the current properties and the new properties (changed properties are highlighted in yellow). If any of the new properties are incorrect, edit them as needed by clicking the relevant field, or uncheck them.
  6. Click Ok to commit the changes to all the checked Tracks.


Synchronizing Your Tags

In some circumstances, the Track properties that appear in the Library will not match those that are in your Tags. This can occur when:

  • Adding Tracks to the Library. If missing properties are inferred from filenames, tags are not updated.
  • One version of a tag matches the library (e.g. ID3v2) but another version doesn't (e.g. ID3v1).
  • A change is made to a Track property, but a malformed tag prevents the tag from being saved correctly.
  • The option in the Tag Configuration panel to Immediately Write Tags is disabled.

In these cases it is possible to manually update any Tags that are not in synch with the Library. To do so:

  1. In the Explorer, select /Library/Files to Edit/Unsynchronized Tags . A list of Tracks with Tags that are not synchronized with the properties that appear in the library, and fields that are not synchronized will be highlighted. Note that for MP3 files, the list shown will depend on Tag Configuration:
    • If MediaMonkey is set to write ID3v1 Tags: Only Tracks whose ID3v1 properties don't match the Library are shown.
      Note: For the Track# field, ID3v1 only supports tracks < 256. Differences re. Track# between the library and the ID3v1 field that are due to this issue are not shown.
      Note: ID3v1tag fields support fewer characters than ID3v2 tag fields. Differences between the library and ID3v1 fields that are due to field length are not shown.
    • If MediaMonkey is set to write ID3v2 Tags: Only Tracks whose ID3v2 properties don't match the Library are shown.
    • If MediaMonkey is set to write ID3v1 and v2 Tags: Tracks whose ID3v2 or ID3v1 properties don't match the Library are shown.
      Note: For the Track# field, ID3v1 only supports tracks < 256. Differences re. Track# between the library and the ID3v1 field that are due to this issue are not shown.
      Note: ID3v1tag fields support fewer characters than ID3v2 tag fields. Differences between the library and ID3v1 fields that are due to field length are not shown.
  2. Edit any of the Track properties, if you wish.
  3. Select the Tracks whose Tags you wish to update with the information that appears in the Library, and click Tools > Advanced Tag Management > Synchronize Tags . The tags will be updated as configured in Tag Configuration.
  4. For some MP3 tracks, attempts to synchronize tags may fail due to malformed tags. In these cases, use the Clean Tags function to remove the tags and then synchronize tags afternwards.


Cleaning Your Tags

In some circumstances, it may be necessary to clean MP3 tags. This is the case when:

  • Tags are malformed resulting in failed attempts to write/update the tags. In this case it is generally advisable to clean ID3v1 and v2 tags.
  • The tracks are to be played on a device that gets 'confused' by some tag types. In this case you can simply clean ID3v1 or ID3v2 tags, as required.

In these cases it is possible to remove the MP3 tags and then rewrite new tags with information contained in the Library. To do so:

  1. In the Explorer, select the tracks whose tags you wish to clean.
  2. Click Tools > Advanced Tag Management > Clean (ID3v1 | ID3v2 | ID3v1 and v2) Tags.
  3. Important: If you've cleaned ID3v1 and v2 tags, remember to synchronize the tags after you've cleaned them.


Changing Folders & Filenames

Moving Tracks

Tracks can easily moved from one folder to another:

  1. First select any group of Tracks in the Track list of the MediaMonkey Explorer.
  2. Drag and Drop the selected songs into another folder contained within the Locations or My Computer node. Alternatively, right-click and use the Send-to Folder command.

All of the songs will be moved from their original location to the new location, and the Library will be updated.

Changing Filenames

Tracks can easily be renamed by clicking the Filename or Path column for any Track in the Track list, and then changing the filename.

Alternatively, Tracks can be renamed from within the Info tab of the Properties dialog.

Auto-Rename Files

Tracks can also automatically be renamed and re-organized into a directory structure and name format of your choice using the Auto-Rename Files function. This should only be done after file properties are accurately filled in. For instance, you could choose to organize all of your tracks in the following format: C:/Music/Artist/Album - Title.xxx, assuming these properties all have valid values. To do this:

  1. Select the Tracks that you wish to reorganize/rename, and click Tools > Auto-Rename Files.
  2. Choose the Directory, directory format, and filename format to be used for the tracks (e.g. C:/My Music/U2/U2 - MLK has a directory of C:/My Music, has <Artist> as the directory format, and <Artist> - <Title> as the filename format).
  3. A list will be generated showing the current directories/filenames and the new directories/filenames (changes are highlighted in yellow). If any of the new directories/filenames are incorrect, edit them as needed by clicking the path and editing it, or uncheck them.
  4. Click Ok to commit the changes to all the checked Tracks.


Converting Formats

MediaMonkey allows you to convert Tracks in your Library from one compression format to another. This is useful if you have a device that only supports one format (e.g. if have a portable MP3 player you may want to convert OGG files to MP3). Note that when converting from one lossy compression format to another, there is always some loss in fidelity. To maintain the highest possible quality for your collection, do not replace the original file.

To convert, select the Track(s) you want to convert and click Tools > Convert Audio Format . The Convert Audio Format dialog will appear, from which you may configure:

  1. The compression format to be used for ripping the tracks. See Ripping & Digital File Formats .
  2. Whether the volume of the tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the converted track.
  3. The Directory and Filename format to be used for the new tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder than the source files. Note that if you have not changed the directory or format used, the conversion will replace existing files.

Press 'Ok' to proceed with the conversion.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


Getting Track Information from the Internet

Getting Track & Album Information from the Internet

Importing CD Album Information from Freedb

Whenever a new CD is inserted, information about the CD is automatically looked up in the Freedb database and appears in the CD node in My Computer. If there's a direct match to your CD, the information will automatically appear, and if there are multiple matches, you'll be prompted to select the correct Album from several options. To requery the Freedb database, simply click Get Album Info from Freedb .

If the CD is a data CD containing MP3s, you'll be prompted to identify the CD with a 'label'.

Getting Additional Track information

In case your Library contains tracks that are missing information (for example, CD Album details were downloaded from Freedb, but were missing Year information), there are several means of finding additional Track information:

  • Using the Album Browser: Select a track and click Tools > Get Track Information. This will query Amazon's database and display more information about the Artist, Album, and Title selected. Note that the Album Browser can also be opened via View > Album Browser, and can be synchronized with the currently playing track via the Options button as a means of displaying Album covers and other information about the currently playing Track.
  • Select a track and click Buy/Info. This will allow you to search several www sites for more information about any given Track.
  • In the MediaMonkey Explorer, click the web node, to access several databases containing information about 1000's of tracks.


About Track Properties

Shown below is a table of all properties stored in the Library vs. which properties are stored in Tags. 'Yes' indicates that the information is included in the tag, 'No' indicates that it isn't, and 'Non-Standard' indicates that it is included, but that no clear stardard exists for how this field should be tagged, and consequently it may not be readable by other media players.

Property | MP3 (ID3v2) | OGG | WMA
Track Title | Yes | Yes | Yes
Track Artist | Yes | Yes | Yes
Album Title | Yes | Yes | Yes
Album Artist | Yes | Yes | Yes
Year | Yes | Yes | Yes
Genre | Yes | Yes | Yes
Track # | Yes | Yes | Yes
Rating | Yes | Yes | Yes
Comment | Yes | Yes | Yes
Composer | Yes | Yes | Yes
Lyricist | Yes | Yes | Yes
Involved People | Yes | No | No
Original Title | Yes | No | Yes
Original Artist | Yes | No | Yes
Original Lyricist | Yes | No | Yes
Original Year | Yes | No | Yes
Beats Per Minute | Yes | No | Yes
ISRC | Yes | Yes | Yes
Publisher | Yes | Yes | Yes
Encoder | Yes | Yes | No
Copyright | Yes | Yes | Yes
Classification: Tempo | Non-Standard | No | No
Classification: Mood | Yes | No | No
Classification: Occasion | Non-Standard | No | No
Classification: Quality | Non-Standard | No | No
Lyrics | Non-Standard | No | Yes
Custom Field 1 | Non-Standard | No | No
Custom Field 2 | Non-Standard | No | No
Custom Field 3 | Non-Standard | No | No
Volume Leveling Coefficient | No | Yes | No
Times Played | No | No | No
Related Library Entry (for tracks on Virtual CD) | No | No | No

Several non-standard tags are also read and imported from Tags written by MusicMatch. Tags for these fields are not written in the MusicMatch format though, since it is not a recognized standard.

  • Preference
  • Mood
  • Tempo
  • Occasion


Managing the Library

MediaMonkey provides a number of facilities to help you manage your Library as it grows in size. For details see:

Automatically Updating the Library , for information about using the File Monitor to automatically update your Library when Tracks are added, moved, or changed.

Manually Updating the Library, for information about how to prune and optimize the Library, and manually locate missing Tracks.

Clearing the Library, for information about emptying the Library of its contents.


Automatically Updating the Library

MediaMonkey can automatically monitor your Library for changes (additions, deletions, moves or changes to files) so that if you make changes to a Track with another application, the Library will automatically be brought up-to-date. For instance, if you use another tagging program to change a track Tag, MediaMonkey can be configured to observe the change, and automatically update the Library with the new information from the Tag.

This is accomplished via the File Monitor. It monitors user-specified directories for changes at startup, and updates the Library accordingly. See File Monitor Configuration to learn how to set it up.

Note: Although the File Monitor does monitor for moved files, it only searches the specified directories for the moved file, and consequently will not detect the location of the moved file if it has been moved to an unmonitored directory. For these situations, you can manually search for the moved file.


Manually Updating the Library

Update Library

Updating the Library via File > Update Library periodically, will speed up the database if it has grown very large, and eliminate some of the clutter that may exist within. It does so via the following options:

Remove Unused Artists

This removes any Artists that no longer contain any Tracks or Albums.

Remove Unused Albums

This removes any Albums that no longer contain any Tracks.

Check for Files on Virtual CDs

This verifies that any files saved to the Virtual CD haven't been deleted, and removes them from the database if they no longer exist.

Check for Preview Files

This verifies that any Previews that have been created haven't been deleted, and removes them from the database if they no longer exist.

Compact Database

This cleans up the internal structure of the database in order to improve performance.

Retrieve Moved Tracks

If Tracks have been moved by another application to a new location, MediaMonkey will only find the Track if the File Monitor is configured to monitor the directory to which the Track has been moved. For other cases:

  1. Go to /Library/Files to Edit/ Dead Links in the left hand pane of the MediaMonkey Explorer. You will see a list of Tracks that are inaccessible because they have either been moved or deleted.
  2. Select the track(s) you want to find, and click File > Retrieve Moved Songs to the Library .
  3. Choose which drives you would like to scan for the Track.
  4. A dialog will appear (assuming the default hasn't been changed in Tag Configuration ) showing moved files that have been found, files that haven't been moved, and files that couldn't be found. Of those that have been found, select the check box next to them to confirm that you want to update the library with the location indicated.


Clearing the Library

This command will completely, and unrecoverably delete all of the data stored in your Library. It will not delete any of your music tracks, however, it should still be used with caution, as their is a fair amount of information stored within the database that is not stored within track tags. More specifically, the following data is stored in the database only:

  • Playlists and Autoplaylists
  • Catalog of Physical CDs
  • Relationship between tracks on Virtual CDs and Physical CDs
  • Some Track Properties. See About Track Properties for details.


Backing up the Library

Just as you back up your audio collection, you may want to periodically backup your Library database. To do so, simply back up the contents of the /MediaMonkey/Data directory.

If you wish to save your configuration settings, you can also back up the .ini files in the MediaMonkey directory.


General Configuration

From the main menu, click Tools > Options > General.

Check For Updates

If this option is enabled, MediaMonkey will check (over the internet) whether a newer version exists.

Allow Just one instance of MediaMonkey

This option forces a maximum of one MediaMonkey window to be open at any time.

Always Show Tray Icon

This causes the MediaMonkey icon to always appear in the system tray. If enabled, it is also possible to enable Pop-up Track info in tray so that each time a new track plays, information about it will appear in a bubble.

Minimize Settings

By default, MediaMonkey minimizes to the taskbar. It is possible though to cause it to Minimize to tray in which case it will appear only in the System tray when minimized. The most powerful option is Minimize to Now Playing , which causes the 'Now Playing' dialog to appear whenever the main application is minimized, giving you some control over your music, even when working in another application.

Close To Tray

This option causes MediaMonkey to never truly close--it always runs in the background, and is accessible via the system tray.

Background Tasks Priority

MediaMonkey performs numerous operations such as CD Ripping, Conversion, Tagging, Volume Levelling, etc. in the background. This option sets the priority of these background tasks. By default it is set to 'Lower' so that these tasks don't slow down other operations.


File Type Configuration

From the main menu, click Tools > Options > General > File Types.

The file type configuration panel allows you to select which file types will be associated with MediaMonkey, so that if the file is double-clicked, MediaMonkey will automatically run and play the file.

Some applications are set to 'steal' file associations, so that even if you've configured MediaMonkey to play MP3 files, the other application overides this setting. If this is of concern and you want to be certain that MediaMonkey will run, enable Re-associate file types on startup. This will reset the file associations as configured each time you run MediaMonkey.

For an explanation of various file types see Ripping and Digital Audio Compression Formats.


Confirmation Configuration

From the main menu, click Tools > Options > General > Confirmations.

Confirm desired options on copy of Library folders

If enabled, MediaMonkey will prompt the user whether to copy the entire folder, or only those contents that exist in the Library.

Confirm desired options on move of Library folders

If enabled, MediaMonkey will prompt the user whether to move the entire folder, or only those contents that exist in the Library.

Confirm desired options on removal of Tracks from Playlist

If enabled, MediaMonkey will prompt the user whether to remove tracks from the playlist, remove them from the playlist and the library, or delete them from the playlist, the library, and the computer system.

Confirm desired options on removal of Tracks from Now Playing

If enabled, MediaMonkey will prompt the user whether to remove tracks from the Now Playing list, remove them from the Now Playing list and the library, or delete them from the Now Playing list, the library, and the computer system.

Confirm deletion of currently playing Track

If enabled, MediaMonkey will prompt the user whether to delete the currently playing track from the system, since doing so will cause an interruption of playback.

Confirm rename operations that exceed 64 character CD limit

If enabled, MediaMonkey will prompt the user whether to rename a file when the operation results in a file that cannot be written to an ISO-standard CD. If disabled, the rename operation will proceed without a confirmation.


Player Configuration

To configure the Player, click Tools > Options > Player or simply right-click on the player and click Setup Player .

Choose Player: MediaMonkey vs. Winamp 2

MediaMonkey allows you to use the Player that is built into MediaMonkey, or Winamp. Listed below are the main reasons for choosing one player or the other:

MediaMonkey: Supports Volume Leveling, Includes a 10-band Equalizer, fully integrated with MediaMonkey.

WinAmp2: Visualization Support.

Double Click Action

This determines what occurs when a Track is double-clicked. Options are Play (track) Now, Play (track) Last, or Edit (track) Properties.

'Play (track) Now' plays

This determines what Tracks are played when the Play Now command is run for a single Track. The default behavior is that the selected Track and others subsequent to it in the tracklist play. The alternative is that only the Selected track plays. Note that whichever option is not chosen can be used by pressing <alt><enter> or <alt><double-click>.

Numeric Keypad Activator

This controls how to enable the Numeric Keypad Shortcuts. By default, when the numeric keypad is off (the Num Lock LED is off) the shortcuts are active. To toggle the Num Lock LED, press the <Num Lock> button.

Show Warning when Track to be played is not Accessible

Displays a warning if a track in the Now Playing queue is inaccessible (e.g. if it's on a CD that isn't inserted).


Plug-in Configuration

To configure Player plug-ins, click Tools > Options > Player and one of the plug-ins options, or simply right-click on the player and click Configure Current input plug-in or Configure Current output plug-in.

The MediaMonkey Player supports Input, Output, DSP effect, and General plug-ins written for Winamp 2. Input plug-ins generally add support for new audio formats, while Output plug-ins control how MediaMonkey outputs audio. DSP plug-ins usually enhance and/or modify the audio in some way, while General plug-ins often add some entirely new functionality to the application.

Before you can configure a plug-in, you must install it (although several plug-ins are installed by default as described in the readme file). You can download additional plug-ins from the MediaMonkey www site or from various other locations online. To install a plug-in you'll have to follow either of the following procedures:

  • If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.
  • If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the relevant plug-ins pane, and press the Configure button. For DSP Audio Effect plug-ins, you can also set the order in which the plugins process the audio.


Library Configuration

Click the Advanced button in the 'Add Folders' dialog, or the File > Options > Library menu. This will allow you to configure how files will be added to the database from the selected folders:

Infer Track Properties

In cases where the tags do not contain much information, MediaMonkey can get some information such as Artist, Title, or Album from the Filename if this option is enabled. Properties can be inferred from 'Filename' or 'Filename + Path'. Generally, it is better to infer from Filenames only, unless tracks are arranged in a highly organized directory structure, in which case 'Filename + Path' will yield better results.

It is also possible to specify whether to use 'Tags and then inferred properties', or vice versa. Generally, Tags contain more accurate information, so choosing 'Tags and then inferred properties' will import properties from Tags, and then any missing information will be imported from inferred properties. The only time one would want to use 'Inferred Properties and then Tags' is if it is known in advanced that tags are inaccurate, and filenames contain more accurate data.

Note that the inferred properties are saved in the database, but not saved to the file tags (in case the information is incorrect). Once you've verified the data, you can update the tags manually--see Synchronizing Your Tags.

Get Album Titles and Track Numbers from

This setting defines how Album Titles and Track number properties are added to the Library. Options are 'Tags only', 'Tags then Playlists', and 'Playlists then Tags'. 'Tags only' should always be used, except in cases where a music collection is arranged in such a manner that each collection of tracks has an associated playlist that defines the Album.

Remove Underscores When Adding Filenames

This option removes underscores from Filenames when they are added.

Analyze Tracks for Duplicates

This creates a hash, a kind of digital signature, for the audio content of each track (tags are ignored), so that each track can be uniquely identified. If any two tracks are duplicates (i.e. they have matching signatures) they will appear in the Files to Edit > Duplicate Content view.

Ignore Songs

This prevents songs that are less than a specified size (KB) or time (seconds) from being added to the Library, since it's unlikely that you really want such files to appear in your Library.

Update Track info from Tags when re-adding Files

This causes all Tracks that are re-added (either manually by clicking 'Add Tracks...' or automatically via the File Monitor) to be updated--even those that already exist in the database. The effect is that if other applications have been used to modify track tags, the database will automatically update with the changes. The downside to this is that tags for any tracks that are not up to date will be overwritten with the rescanned tags (this is not usually an issue if you have configured tags to update immediately--see Tag Configuration ). See Synchronizing Your Tags.

Note: The 'Only for files with changed timestamp or size' option speeds up all scans subsequent to the initial one by limiting re-addition to files that have changed in size or timestamp.

Analyze Volume only for Tracks with Unknown Leveling Adjustment

This option causes the Analyze Volume command to be carried out only on tracks that do not yet have a volume coefficient calculated. Since volume analysis is absolute (i.e. the coefficient does not vary depending on the sample of Tracks analyzed) there is little reason to disable this function.


Tag Configuration

From the main menu, click Tools > Options > Library > Tags.

ID3 Tag Version

You are given the option of choosing what version of ID3 tags to write for MP3 files: v1, v2, or both. Note that this setting has no impact on which tags are read to populate the Library--MediaMonkey reads ID3v2 tags, and any missing information is obtained from ID3v1 tags. See About Properties for information regarding which properties are stored using each tag version.

Update Tags Immediately After Editing Properties

Causes Tags to be updated immediately, as soon as changes to Track properties are made.

Update Moved File Paths without Confirmation

Results in no confirmation dialog when potential candidates are found when using Retrieve Moved Tracks .


File Monitor Configuration

From the main menu, click Tools > Options > Library > File Monitor.

The File Monitor sets the Library to update its contents automatically for Tracks contained in the specified folder(s). To use this feature:

  1. Click Add Folder, and choose a folder
  2. Specify whether subfolder should also be monitored (generally they should)
  3. Specify whether the chosen folder should be monitored at Startup. If a folder is monitored at startup, then any changes that occured in the Folder while MediaMonkey wasn't running will be detected at startup. If the folder is not monitored at startup, then the only changes that will be detected are those that occur while MediaMonkey is running. Generally, folders should be scanned at startup, however, this slows down the application slightly, which is why some might prefer they not be scanned.
  4. Select 'Remove Unavailable Tracks' if you wish the library to be pruned of any tracks that have been moved or deleted from a monitored folder. This is extremely useful, but should only be enabled if you're confident that you'll never move Tracks to a folder that isn't monitored, this would result in the track being removed from the Library entirely.

See: Automatically Updating the Library

Remove Unused Artists

This causes any Artists that no longer contain any Tracks or Albums to be automatically removed from the Library. Note that this applies whether a folder is monitored or not.

Remove Unused Albums

This causes any Albums that no longer contain any Tracks to be automatically removed from the Library. Note that this applies whether a folder is monitored or not.


Virtual CD & Preview Configuration

From the main menu, click Tools > Options > Virtual CD & Previews. On the configuration panel set:

Virtual CD Configuration

  • The compression format that you want to use for ripping the tracks. See Ripping & Digital File Formats .
  • The Directory and Filename format to be used for the new tracks.

See Ripping Tracks and Cataloguing CDs for information about using the Virtual CD.

Preview Configuration

  • The compression format that you want to use for ripping the tracks. See Ripping & Digital File Formats .
  • The start time and duration of each sample to be created.
  • The Directory and Filename format to be used for the Previews.

See Creating Previews.


Freedb Configuration

From the main menu, click Tools > Options > Freedb. This will allow you configure several options regarding MediaMonkey connections to Freedb:

Automatically Query Freedb after CD Scan

Determines whether album information is automatically looked up when a CD is scanned.

Freedb Server Information

Configure the server to use (username and domain are optional). The main freedb server is entered by default, although you may want to change this to a server closer to your location.

Protocol

Freedb connections usually use the CDDBP protocol, although you may want to use HTTP if you are having firewall related problems. If you use HTTP, you can also configure the connection via a proxy server-if you don't know the Proxy Server settings, check with your Administrator.


CD Ripping Configuration

From the main menu, click Tools > Options > CD Ripping.

On this screen, select your CD-ROM and then set the configuration options for each CD-ROM drive independently. The defaults for CD Ripping will generally work in most configurations, although on some systems, if ripping a CD results in audio that skips, switching Read Type to Jitter Corrected Read may solve the problem.

Read CD-Text causes MediaMonkey to get track properties embedded directly on an Audio CD in the CD-TEXT format when ripping the CD or adding it to the library. This is often used on Audio CD mixes that have been burned by users, and is very helpful as such CDs cannot be looked up in Freedb.

On the fly encoding speeds up CD Ripping by encoding audio to another format as the audio is being extracted from the CD-ROM. For some drives, especially older ones, this should be disabled as it may reduce the quality of encoded files.


Appearing Configuration & Skinning

Appearance Configuration & Skinning

From the main menu, click Tools > Options > Appearance. On the configuration panel you can set several options:

Animate Tree

This causes the tree in the MediaMonkey Explorer to open and close in an animated fashion. This may cause problems, though, if you are using a non-white background.

User-friendly Masks

Disabling this option causes masks to appear as they used to in Songs-DB. Recommended for advanced users only.

Transparency Settings

If you wish to display the Now Playing or Equalizer windows semi-transparently, you may configure this via transparency settings.

Player Skin

Select the skin that you wish to use with MediaMonkey. If you wish to select a new skin, simply add it to the /Program Files/MediaMonkey/Skins directory. Note that MediaMonkey is compatible with Winamp 2 skins.

Ideally, Winamp 2 skins should be modified slightly so that MediaMonkey menus and backgrounds match the original skin. See Customizing Skins .

Background

Use Skin Background if Available

This option causes the MediaMonkey backgrounds that are bundled with Winamp2 skins to be used, if they are available. Otherwise, the default backgrounds that are set below are used.

Default Backgrounds

You can select four default backgrounds--one for each of: the Toolbar, the Tree, the Tracklist, the Now Playing window. If you are using a Winamp2 skin that doesn't include any MediaMonkey backgrounds, the default skins will be used.

Checking the Scroll option enables smooth scrolling, but can cause flashing to occur depending on the background color chosen.


Customizing Skins

If you have a favorite Winamp 2 skin, and would like to customize it so that it integrates with the rest of MediaMonkey, you can do so relatively easily:

  1. Create one background for the Toolbar and name it sdb_commandbar.bmp
  2. Create one background for the Tree (preferably not greyish in color as this will make it difficult to discern node selection) and name it sdb_background_tree.bmp
  3. Create one background for the Track list and name it sdb_background_list.bmp
  4. Create one background for the Now Playing window and name it sdb_background_playing.bmp
  5. Open the original skin (xxxx.wsz) with WinZip
  6. Add the four background files you've created to the archive and save the archive
  7. Copy the modified skin to the /Program Files/MediaMonkey/Skins directory
  8. Start MediaMonkey and select the new skin from the Tools > Options > Appearance menu

Your work of art should appear.


Multi-user Environments

MediaMonkey can be configured for use in multi-user networked environments. There are two possible approaches to this:
  1. Multiple Clients each using an independent Library database
  2. Multiple clients sharing a common Library database
MediaMonkey presently supports the first option, although some users have had success with the second option--see the forum for details.

Multiple Clients / Independent Library Databases

For each client, simply install MediaMonkey and:

  1. Add Folders that are shared by other networked machines
  2. Set the File Monitor to monitor the shared folders for changes so that any changes made by other users to Tracks and their associated Tags will be detected, and the database updated appropriately.

The key issue to remember is that changes are detected based on the actual files and their tags, which means that edits to Track Properties by other users are detected only if they are saved to the Track's Tags. Thus in this scenario it is advisable not to take advantage of fields that are not saved to Tags, unless you don't mind the fact that the data will be lost. For some data (e.g. volume leveling co-efficients) this is a non-issue, however, for other fields it may be of concern.


Burning a CD

If you wish to Burn an Audio CD that can be read by any standard CD Player, MediaMonkey integrates with Nero Burning Rom to enable this, however, you must have Nero Burning Rom installed. To Burn an Audio CD:

  1. Select the Tracks that you want to Burn (this is most easily accomplished by creating a Playlist of the Tracks you want to Burn).
  2. From the Tools menu, click Burn Audio CD. A Wizard will open.
  3. Step through the Wizard and press 'Ok'.

An Audio CD that can be played on any standard CD Player will be burnt.


Exporting Tracks

MediaMonkey doesn't yet directly support sharing of Tracks with devices such as MP3 Players, or MP3-compatible CD Roms, however, if you want to share Tracks in your Library with another device, you may do by following the steps below:

  1. Select all of the Tracks that you want to share from a Playlist.
  2. Use the Convert Format tool to create a new directory containing all of the selected tracks in a format that can be read by the device.
  3. Use the tool that came with your device to upload the converted files to the device, or use a CD Rom burning tool to burn a data CD containing all of the converted Tracks.
  4. Delete the converted Tracks (since the originals are already saved elsewhere).


Exporting Playlists

If you want to share a Playlist or an AutoPlaylist with another application, you can do so by Exporting the playlist as a standard m3u file, which can then be loaded by most media players. To do so:

  1. Select the Tracks you wish to export from a Playlist
  2. From the File menu click Export to Playlist
  3. Choose a folder and filename (xxxxx.m3u) for the Playlist

The Playlist will be saved as xxxxx.m3u, which can then be opened by another media player.

Related Information:

Exporting Tracks


Exporting Track Lists

If you wish to generate a list of your Tracks, you can easily create this list as an excel spreadsheet, a CSV file, an HTML file, or an XML file:

  1. Select all of the Tracks you would like to export.
  2. From the File menu, select Export Track List.
  3. Select which format for the exported lis.
  4. Choose a destination folder and filename.

Your list will be created.

Note that Track Lists are created using MediaMonkey scripting functionality. You can customize the exported Track Lists by Creating Custom Scripts.


Scripts

Creating Custom Scripts

MediaMonkey offers scripting support, providing a powerful way to enhance its functionality. The scripts used by MediaMonkey are compatible with the Windows Scripting Host, meaning that you can use any language supported by this host, although most users use VBScript.

Scripts are defined in the "\Scripts\Scripts.ini" file as a reference to a corresponding function in a .vbs (VBScript) file. To add a script, simply edit this file and restart MediaMonkey.

Currently documentation for MediaMonkey scripting objects, is incomplete, however by studying supplied scripts you can easily make your own scripts, particularly for data export. For more information see the MediaMonkey Developers Forum.

Related Information:

Windows Scripting


.topic 10000
If this option is enabled, MediaMonkey will check (over the internet) whether a newer version exists.

.topic 10010
This option shows the MediaMonkey tips every time the application is run.

.topic 10020
This option forces a maximum of one MediaMonkey window to be open at any time.

.topic 10030
This causes the MediaMonkey icon to always appear in the system tray. If enabled, it is also possible to enable Pop-up Track info in tray so that each time a new track plays, information about it will appear in a bubble.

.topic 10040
By default, MediaMonkey minimizes to the taskbar. It is possible though to cause it to Minimize to the tray in which case it will appear only in the System tray when minimized. The most powerful option is Minimize to Now Playing , which causes the 'Now Playing' dialog to appear whenever the main application is minimized, giving you some control over your music, even when working in another application.

.topic 10050
This option causes MediaMonkey to never truly close--it always runs in the background, and is accessible via the system tray.

.topic 10060
MediaMonkey performs numerous operations such as CD Ripping, Conversion, Tagging, Volume Levelling, etc. in the background. This option sets the priority of these background tasks. By default it is set to 'Lower' so that these tasks don't slow down other operations.

.topic 10065
Choose the temporary working directory that MediaMonkey uses. Any directory is fine, since the contents of this directory are only temporary.

.topic 10070
This allows you to select which file types will be associated with MediaMonkey, so that if the file is double-clicked, MediaMonkey will automatically run and play the file.

For an explanation of various file types see 'Ripping and Digital Audio Compression Formats' in the online help.

.topic 10080
Some applications are set to 'steal' file associations, so that even if you've configured MediaMonkey to play MP3 files, the other application overides this setting. If this is of concern and you want to be certain that MediaMonkey will run, enable Re-associate file types on startup. This will reset the file associations as configured each time you run MediaMonkey.

.topic 2000
If enabled, MediaMonkey will prompt the user whether to copy the entire folder, or only those contents that exist in the Library.

.topic 2010
If enabled, MediaMonkey will prompt the user whether to move the entire folder, or only those contents that exist in the Library.

.topic 2020
If enabled, MediaMonkey will prompt the user whether to remove tracks from the playlist, remove them from the playlist and the library, or delete them from the playlist, the library, and the computer system.

.topic 2030
If enabled, MediaMonkey will prompt the user whether to remove tracks from the Now Playing list, remove them from the Now Playing list and the library, or delete them from the Now Playing list, the library, and the computer system.

.topic 2040
If enabled, MediaMonkey will prompt the user whether to delete the currently playing track from the system, since doing so will cause an interruption of playback.

.topic 2050
When enabled, MediaMonkey will prompt the user whether to proceed with a rename operation if the resulting filename contains more than the 64-character limit that is standard for a CD.

.topic 3000
MediaMonkey allows you to use the Player that is built into MediaMonkey, or Winamp. Using the MediaMonkey player enables Volume Leveling, an advanced equalizer, and is fully integrated with MediaMonkey. Using Winamp is useful if you like Winamp's visualization support.

.topic 3010
This determines what occurs when a Track is double-clicked. Options are Play Now, Play After Others, or Edit Properties.

.topic 3015
This determines what Tracks are played when the Play Now command is run for a single Track. By default the selected Track and others subsequent to it in the tracklist play. The alternative is that only the Selected track plays.

.topic 3020
This controls how to enable the Numeric Keypad Shortcuts. By default, when the numeric keypad is off (the Num Lock LED is off) the shortcuts are active. To toggle the Num Lock LED, press the <Num Lock> button.

.topic 3030
Displays a warning if a track in the Now Playing queue is inaccessible (e.g. if it's on a CD that isn't inserted).

.topic 3040
The MediaMonkey Player supports Input plug-ins written for Winamp 2. They generally add support for new audio formats.

To install a plug-in you'll have to follow either of the following procedures:

1) If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.

2) If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the plug-ins pane, and press the Configure button.

.topic 3050
The MediaMonkey Player supports Output plug-ins written for Winamp 2. They generally control how MediaMonkey outputs audio.

To install a plug-in you'll have to follow either of the following procedures:

1) If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.

2) If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the plug-ins pane, and press the Configure button.

.topic 3060
The MediaMonkey Player supports DSP Audio effect plug-ins written for Winamp 2. They generally enhance and/or modify the audio in some way.

To install a plug-in you'll have to follow either of the following procedures:

1) If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.

2) If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the plug-ins pane, and press the Configure button. For DSP Audio Effect plug-ins, you can also set the order in which the plugins process the audio using the up/down arrows.

.topic 3070
The MediaMonkey Player supports General plug-ins written for Winamp 2. They often add some entirely new functionality to the application.

To install a plug-in you'll have to follow either of the following procedures:

1) If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.

2) If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the plug-ins pane, and press the Configure button.

.topic 4000
In cases where the tags do not contain much information, MediaMonkey can get some information such as Artist, Title, or Album from the Filename if this option is enabled. Note that the inferred properties are saved in the database, but not saved to the file tags (in case the information is incorrect). Once you've verified the data, you can update the tags manually--see Synchronizing Your Tags.

.topic 4003
Properties can be inferred from 'Filename' or 'Filename + Path'. Generally, it is better to infer from Filenames only, unless tracks are arranged in a highly organized directory structure, in which case 'Filename + Path' will yield better results.

.topic 4006
It is also possible to specify whether to use 'Tags and then inferred properties', or vice versa. Generally, Tags contain more accurate information, so choosing 'Tags and then inferred properties' will import properties from Tags, and then any missing information will be imported from inferred properties. The only time one would want to use 'Inferred Properties and then Tags' is if it is known in advanced that tags are inaccurate, and filenames contain more accurate data.

.topic 4010
This setting defines how Album Titles and Track number properties are added to the Library. Options are 'Tags only', 'Tags then Playlists', and 'Playlists then Tags'. 'Tags only' should always be used, except in cases where a music collection is arranged in such a manner that each collection of tracks has an associated playlist that defines the Album.

.topic 4020
This option removes underscores from Filenames when they are added.

.topic 4030
This creates a hash, a kind of digital signature, for the audio content of each track (tags are ignored), so that each track can be uniquely identified. If any two tracks are duplicates (i.e. they have matching signatures) they will appear in the Files to Edit > Duplicate Content view.

.topic 4040
This prevents songs that are less than a specified size (KB) or time (seconds) from being added to the Library, since it's unlikely that you really want such files to appear in your Library.

.topic 4050
This causes all Tracks that are re-added (either manually by clicking 'Add Tracks...' or automatically via the File Monitor) to be updated--even those that already exist in the database. The effect is that if other applications have been used to modify track tags, the database will automatically update with the changes. The downside to this is that tags for any tracks that are not up to date will be overwritten with the rescanned tags (this is not usually an issue if you have configured tags to update immediately).

.topic 4055
Enabling this option speeds up all scans subsequent to the initial one by limiting re-addition to files that have changed in size or timestamp.

.topic 4060
This option causes the Analyze Volume command to be carried out only on tracks that do not yet have a volume coefficient calculated. Since volume analysis is absolute (i.e. the coefficient does not vary depending on the sample of Tracks analyzed) there is little reason to disable this function.

.topic 4070
You are given the option of choosing what version of ID3 tags to use: v1, v2, or both. See About Properties for information regarding which properties are stored using each tag version.

.topic 4080
Causes Tags to be updated immediately, as soon as changes to Track properties are made.

.topic 4090
Results in no confirmation dialog when potential candidates are found when using Retrieve Moved Tracks .

.topic 4100
The File Monitor sets the Library to update its contents automatically for Tracks contained in the specified folder(s):
1) Click Add Folder, and choose a folder
2) Specify whether subfolder should also be monitored (generally they should)
3) Specify whether the chosen folder should be monitored at Startup. If a folder is monitored at startup, then any changes that occured in the Folder while MediaMonkey wasn't running will be detected at startup. If the folder is not monitored at startup, then the only changes that will be detected are those that occur while MediaMonkey is running. Generally, folders should be scanned at startup, however, this slows down the application slightly at startup.

.topic 4105
Select 'Remove Unavailable Tracks' if you wish the library to be pruned of any tracks that have been moved or deleted from a monitored folder. This is extremely useful, but should only be enabled if you're confident that you'll never move Tracks to a folder that isn't monitored, this would result in the track being removed from the Library entirely.

.topic 4110
This causes any Artists that no longer contain any Tracks or Albums to be automatically removed from the Library. Note that this applies whether a folder is monitored or not.

.topic 4120
This causes any Albums that no longer contain any Tracks to be automatically removed from the Library. Note that this applies whether a folder is monitored or not.

.topic 5000
You can set the following Virtual CD properties:
-The compression format that you want to use for ripping the tracks. See Help: "Ripping & Digital File Formats".
-The Directory and Filename format to be used for the new tracks.
See Help: "Ripping Tracks and Cataloguing CDs" for information about using the Virtual CD.

.topic 5010
You can set the following Preview properties:
-The compression format that you want to use for ripping the tracks. See Help: "Ripping & Digital File Formats".
-The start time and duration of each sample to be created.
-The Directory and Filename format to be used for the Previews.
See Help: "Creating Previews".

.topic 6000
Determines whether album information is automatically looked up when a CD is scanned.

.topic 6010
Configure which server to use (username and domain are optional). The main freedb server is entered by default, although you may want to change this to a server closer to your location.

.topic 6020
Freedb connections usually use the CDDBP protocol, although you may want to use HTTP if you are having firewall related problems. If you use HTTP, you can also configure the connection via a proxy server-if you don't know the Proxy Server settings, check with your Administrator.

.topic 6500
The defaults for CD Ripping will generally work in most configurations, although on some systems, if ripping a CD results in audio that skips, switching Read Type to Jitter Corrected Read may solve the problem.

.topic 6530
This causes MediaMonkey to get track properties embedded directly on an Audio CD in the CD-TEXT format when ripping the CD or adding it to the library.

.topic 6540
This speeds up CD Ripping by encoding audio to another format as the audio is being extracted from the CD-ROM. For some drives, especially older ones, this should be disabled as it may reduce the quality of encoded files.

.topic 7000
This causes the tree in the MediaMonkey Explorer to open and close in an animated fashion. This may cause problems, though, if you are using a non-white background.

.topic 7010
Disabling this option causes masks to appear as they used to in Songs-DB. For advanced users only.

.topic 7020
If you wish to display the Now Playing or Equalizer windows semi-transparently, you may configure this via transparency settings.

.topic 7030
Select the skin that you wish to use with MediaMonkey. If you wish to select a new skin, simply add it to the /Program Files/MediaMonkey/Skins directory. Note that MediaMonkey is compatible with Winamp 2 skins, although Winamp 2 skins can be modified slightly so that MediaMonkey menus and backgrounds match the original skin. See Help: "Customizing Skins".

.topic 7040
This option causes the MediaMonkey backgrounds that are bundled with Winamp2 skins to be used, if they are available. Otherwise, the default backgrounds that are set below are used.

.topic 7050
You can select four default backgrounds--one for each of: the Toolbar, the Tree, the Tracklist, the Now Playing window. If you are using a Winamp2 skin that doesn't include any MediaMonkey backgrounds, the default skins will be used.

.topic 7055
Select this if you wish to apply the toolbar background to the Tree and the Tracklist as well.

.topic 7060
This enables smooth scrolling, but can cause flashing to occur depending on the background color chosen.